Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcQueue.h File Reference

キュー Queue More...

`#include "dkcOSIndependent.h"`
`#include "dkcSerialize.h"`

Include dependency graph for dkcQueue.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | dkc_Queue
## Typedefs
typedef dkc_Queue | DKC_QUEUE
## Functions
DKC_EXTERN DKC_QUEUE *WINAPI | dkcAllocQueue (size_t numof__, size_t offsetof__)
| キュー領域を得る。
DKC_EXTERN int WINAPI | dkcFreeQueue (DKC_QUEUE **ptr)
| dkcAllocNewQueueと対。
DKC_EXTERN int WINAPI | dkcQueuePush (DKC_QUEUE *ptr, const void *)
DKC_EXTERN int WINAPI | dkcQueueDynamicPush (DKC_QUEUE *ptr, const void *)
DKC_EXTERN void WINAPI | dkcQueuePop (DKC_QUEUE *ptr)
DKC_EXTERN int WINAPI | dkcQueueTop (DKC_QUEUE *ptr, void *)
DKC_EXTERN size_t WINAPI | dkcQueueSize (DKC_QUEUE *ptr)
DKC_EXTERN BOOL WINAPI | dkcQueueIsEmpty (DKC_QUEUE *ptr)
DKC_EXTERN void WINAPI | dkcQueueClear (DKC_QUEUE *ptr)
DKC_EXTERN int WINAPI | dkcQueueSerialize (const DKC_QUEUE *ptr, DKC_SERIALIZE *se)
DKC_EXTERN DKC_QUEUE *WINAPI | dkcAllocQueueDeserialize (DKC_DESERIALIZE *se)
DKC_EXTERN int WINAPI | dkcQueueGetPoint (const DKC_QUEUE *ptr, size_t point_of__, void *buffer, size_t buffsize)

## Detailed Description

キュー Queue

d金魚

Since:
  2004/3/xx

## Typedef Documentation

typedef struct dkc_Queue DKC_QUEUE

| キュー構造体

## Function Documentation

DKC_EXTERN DKC_QUEUE* WINAPI dkcAllocQueue | ( | size_t | numof__,
|  | size_t | offsetof__
| ) |

  | キュー領域を得る。 Parameters:
  numof__[in] | キューに使う配列の要素の数
  offsetof__[in] | キューにぶち込むデータのサイズ
Returns: キューハンドルへのポインタ。

DKC_EXTERN DKC_QUEUE* WINAPI dkcAllocQueueDeserialize | ( | DKC_DESERIALIZE * | se | ) |

DKC_EXTERN int WINAPI dkcFreeQueue | ( | DKC_QUEUE ** | ptr | ) |

| dkcAllocNewQueueと対。 DKC_QUEUEをデリート Note: 必ず使用したあとはこれを呼んでください。

DKC_EXTERN void WINAPI dkcQueueClear | ( | DKC_QUEUE * | ptr | ) |

| キューをクリアする。

DKC_EXTERN int WINAPI dkcQueueDynamicPush | ( | DKC_QUEUE * | ptr,
|  | const void * |
| ) |

DKC_EXTERN int WINAPI dkcQueueGetPoint | ( | const DKC_QUEUE * | ptr,
|  | size_t | point_of__,
|  | void * | buffer,
|  | size_t | buffsize
| ) |

  | Parameters:
  ptr[in] | queue
  point_of__[in] | ポイント
  buffer[in] | バッファへのポインタ
  buffsize[in] | バッファのサイズ

DKC_EXTERN BOOL WINAPI dkcQueueIsEmpty | ( | DKC_QUEUE * | ptr | ) |

DKC_EXTERN void WINAPI dkcQueuePop | ( | DKC_QUEUE * | ptr | ) |

  | Parameters:
  id[in] | 同じidを二回解放するとバグリます。

DKC_EXTERN int WINAPI dkcQueuePush | ( | DKC_QUEUE * | ptr,
|  | const void * |
| ) |

| Note:

DKC_EXTERN int WINAPI dkcQueueSerialize | ( | const DKC_QUEUE * | ptr,
|  | DKC_SERIALIZE * | se
| ) |

DKC_EXTERN size_t WINAPI dkcQueueSize | ( | DKC_QUEUE * | ptr | ) |

DKC_EXTERN int WINAPI dkcQueueTop | ( | DKC_QUEUE * | ptr,
|  | void * |
| ) |